package fakermanager;

import com.github.javafaker.Faker;

public class FakerManager implements IFakerManager{

    private Faker faker;

    public FakerManager(){
        faker = new Faker();
    }

    public String getValidSolutionContractName(){
        return faker.bothify("solution????##");
    }

    public String getInvalidSolutionContractName(){
        return faker.bothify("s??????????#######################?#");
    }

    public String getValidFleetName(){
        return faker.bothify("AutomationUi????##");
    }

    public String getValidNote(){
        return faker.bothify("note-????##");
    }

    public String getValidUsername(){
        return faker.bothify("user????##");
    }

    public String getValidStoreGroupName(){
        return faker.bothify("storeGroupName????##");
    }

    public String getValidStoreGroupNameWithOneCharacter(){
        return faker.bothify("?");
    }

    public String getValidStoreName(){
        return faker.bothify("storeName???#");
    }

    public String getInvalidStoreName(){
        return faker.bothify("storeName????##");
    }

    public String getValidMerchantIdWithAlphanumeric(){
        return faker.bothify("#############??");
    }

    public String getValidMerchantCategoryCode(){
        return faker.bothify("####");
    }

    public String getValidMerchantNameAndLocation(){
        return faker.bothify("Porto???????????????????????????");
    }

    public String getValidAcquiredId(){
        return faker.bothify("######");
    }

    public String getInvalidMerchantId(){
        return faker.bothify("################");
    }

    public String getInvalidMerchantCategoryCode(){
        return faker.bothify("????");
    }

    public String getPoiGroupName(){
        return faker.bothify("poiGroupName?????????");
    }

    public String getValidLabelName(){
        return faker.bothify("label????##");
    }

    public String getInvalidNote(){
        return faker.bothify("note-????##???????????????????????????????????????????##################??????????" +
                "????????????????????????###############??????????????????????????????????###############?????????????" +
                "????????????????????????###############??????????????????????????????????###############?????????????"+
                "??????????????????????????????????###############??????????????????????????????????###############????"+
                "?????????????????????????????###############????????????????????##########????????????????????????????" +
                "?????????????????????????????###############????????????????????###############???????????????????????" +
                "??????###############????????????????????###############?###############????????????????????#############" +
                "#######");
    }

}